## com.trilead.ssh2.packets
Class PacketChannelWindowAdjust

    java.lang.Object
      com.trilead.ssh2.packets.PacketChannelWindowAdjust

    public class PacketChannelWindowAdjust

extends java.lang.Object

PacketChannelWindowAdjust.

Field Summary
`int` `recipientChannelID`
`int` `windowChange`

Constructor Summary
`PacketChannelWindowAdjust(byte[] payload, int off, int len)`
`PacketChannelWindowAdjust(int recipientChannelID, int windowChange)`

Method Summary
`byte[]` `getPayload()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### recipientChannelID

    public int recipientChannelID

### windowChange

    public int windowChange

Constructor Detail

### PacketChannelWindowAdjust

    public PacketChannelWindowAdjust(int recipientChannelID,
                                     int windowChange)

### PacketChannelWindowAdjust

    public PacketChannelWindowAdjust(byte[] payload,
                                     int off,
                                     int len)
                              throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getPayload

    public byte[] getPayload()